import request from '@/utils/request'

export function listApplicationCase(query) {
  return request({
    url: '/applicationCase/list',
    method: 'get',
    params: query
  })
}

export function getApplicationCase(id) {
  return request({
    url: '/applicationCase/' + id,
    method: 'get'
  })
}

export function addApplicationCase(data) {
  return request({
    url: '/applicationCase',
    method: 'post',
    data: data
  })
}

export function updateApplicationCase(data) {
  return request({
    url: '/applicationCase',
    method: 'put',
    data: data
  })
}

export function delApplicationCase(id) {
  return request({
    url: '/applicationCase/' + id,
    method: 'delete'
  })
}
